"""
setup packaging script for talosnames
"""

import os

version = "0.0"
dependencies = ['webob', 'CommandParser', 'talos', 'buildbot']

# allow use of setuptools/distribute or distutils
kw = {}
try:
    from setuptools import setup
    kw['entry_points'] = """
      [console_scripts]
      talos-names = talosnames.main:main
"""
    kw['install_requires'] = dependencies
    kw['dependency_links'] = ['http://hg.mozilla.org/build/talos/archive/tip.tar.gz#egg=talos']
except ImportError:
    from distutils.core import setup
    kw['requires'] = dependencies

try:
    here = os.path.dirname(os.path.abspath(__file__))
    description = file(os.path.join(here, 'README.txt')).read()
except IOError:
    description = ''


setup(name='talosnames',
      version=version,
      description="correlate names of talos",
      long_description=description,
      classifiers=[], # Get strings from http://www.python.org/pypi?%3Aaction=list_classifiers
      author='Jeff Hammel',
      author_email='jhammel@mozilla.com',
      url='',
      license='',
      packages=['talosnames'],
      include_package_data=True,
      zip_safe=False,
      **kw
      )

